---
title: "Actions: W"
description: "How to set up each action of the 8 apps starting with W."
label: "W"
generated: "the tool catalog in services/core/src/tool-catalog"
---


Apps starting with W. Add any of these from **Integrations → n8n → Add tools → Browse apps**; see [Set up an action](/build/set-up-actions) for each way a key is sent, and the [catalog index](/reference/actions) for every app.

## Wait

- **n8n node:** [Wait](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.wait/) (`n8n-nodes-base.wait`, version 1.1), 1 action.
- **n8n performs it:** runs on the n8n credential *Basic Auth* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/httprequest/)).
- **Veefore performs it:** not available. Wait is not a web API (a database, queue, file transfer or local step), so only n8n can perform it.
- **Get the key:** [oauth.com](https://www.oauth.com/oauth2-servers/access-tokens/authorization-code-request/)

**Wait in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Wait | n8n performs it | — |

## Webex by Cisco

- **n8n node:** [Webex by Cisco](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.ciscowebex/) (`n8n-nodes-base.ciscoWebex`, version 1), 10 actions.
- **n8n performs it:** runs on the n8n credential *Cisco Webex OAuth2 API* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/ciscowebex/)).
- **Veefore performs it:** 10 of 10 actions, with OAuth 2.0 with a refresh token; Veefore renews access tokens at `https://webexapis.com/v1/access_token` (scope `spark:memberships_read meeting:recordings_read spark:kms meeting:schedules_read spark:rooms_read spark:messages_write spark:memberships_write meeting:recordings_write meeting:preferences_read spark:messages_read meeting:schedules_write`).
- **You enter:** OAuth client ID, Client secret, Refresh token.
- **API address:** `https://webexapis.com/v1`.
- **Get the key:** [developer.webex.com](https://developer.webex.com/my-apps)

**Webex by Cisco in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Create a meeting | `POST /meetings` | `title`, `start`, `end` |
| Delete a meeting | `DELETE /meetings/{meetingId}` | `meetingId` |
| Get a meeting | `GET /meetings/{meetingId}` | `meetingId` |
| Get many meetings | `GET /meetings` | — |
| Update a meeting | `PUT /meetings/{meetingId}` | `meetingId` |
| Create a message | `POST /messages` | `destination`, `roomId`, `text` |
| Delete a message | `DELETE /messages/{messageId}` | `messageId` |
| Get a message | `GET /messages/{messageId}` | `messageId` |
| Get many messages | `GET /messages` | `roomId` |
| Update a message | `PUT /messages/{messageId}` | `messageId`, `markdown`, `text` |

## Webflow

- **n8n node:** [Webflow](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.webflow/) (`n8n-nodes-base.webflow`, version 2), 5 actions.
- **n8n performs it:** runs on the n8n credential *Webflow OAuth2 API* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/webflow/)).
- **Veefore performs it:** 5 of 5 actions, with OAuth 2.0 with a refresh token; Veefore renews access tokens at `https://api.webflow.com/oauth/access_token` (scope ` : `).
- **You enter:** OAuth client ID, Client secret, Refresh token.
- **API address:** `https://api.webflow.com/v2`.
- **Get the key:** [webflow.com](https://webflow.com/dashboard/account/integrations)

**Webflow in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Create an item | `POST /collections/{collectionId}/items` | `siteId`, `collectionId`, `live` |
| Delete an item | `DELETE /collections/{collectionId}/items/{itemId}` | `siteId`, `collectionId`, `itemId` |
| Get an item | `GET /collections/{collectionId}/items/{itemId}` | `siteId`, `collectionId`, `itemId` |
| Get many items | `GET /collections/{collectionId}/items` | `siteId`, `collectionId` |
| Update an item | `PATCH /collections/{collectionId}/items/{itemId}` | `siteId`, `collectionId`, `itemId`, `live` |

## Wekan

- **n8n node:** [Wekan](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.wekan/) (`n8n-nodes-base.wekan`, version 1), 24 actions.
- **n8n performs it:** runs on the n8n credential *Wekan API* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/wekan/)).
- **Veefore performs it:** 24 of 24 actions, with a bearer token, sent as `Authorization: Bearer <token>`.
- **You enter:** Token.
- **API address:** `https://{url}/api`.

**Wekan in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Create a board | `POST /boards` | `title`, `owner`, `url` |
| Delete a board | `DELETE /boards/{boardId}` | `boardId`, `url` |
| Get a board | `GET /boards/{boardId}` | `boardId`, `url` |
| Get many boards | `GET /users/{IdUser}/boards` | `IdUser`, `url` |
| Create a card | `POST /boards/{boardId}/lists/{listId}/cards` | `boardId`, `listId`, `title`, `swimlaneId`, `authorId`, `url` |
| Delete a card | `DELETE /boards/{boardId}/lists/{listId}/cards/{cardId}` | `boardId`, `listId`, `cardId`, `url` |
| Get a card | `GET /boards/{boardId}/lists/{listId}/cards/{cardId}` | `boardId`, `listId`, `cardId`, `url` |
| Get many cards | `PUT /boards/{boardId}/lists/{listId}/cards` | `boardId`, `fromObject`, `listId`, `url` |
| Update a card | `PUT /boards/{boardId}/lists/{listId}/cards/{cardId}` | `boardId`, `listId`, `cardId`, `url` |
| Create a comment on a card | `POST /boards/{boardId}/cards/{cardId}/comments` | `boardId`, `listId`, `cardId`, `authorId`, `comment`, `url` |
| Delete a comment from a card | `DELETE /boards/{boardId}/cards/{cardId}/comments/{commentId}` | `boardId`, `listId`, `cardId`, `commentId`, `url` |
| Get a card comment | `GET /boards/{boardId}/cards/{cardId}/comments/{commentId}` | `boardId`, `listId`, `cardId`, `commentId`, `url` |
| Get many card comments | `GET /boards/{boardId}/cards/{cardId}/comments` | `boardId`, `listId`, `cardId`, `url` |
| Create a checklist | `POST /boards/{boardId}/cards/{cardId}/checklists` | `boardId`, `listId`, `cardId`, `title`, `url` |
| Delete a checklist | `DELETE /boards/{boardId}/cards/{cardId}/checklists/{checklistId}` | `boardId`, `listId`, `cardId`, `checklistId`, `url` |
| Get a checklist | `GET /boards/{boardId}/cards/{cardId}/checklists/{checklistId}` | `boardId`, `listId`, `cardId`, `checklistId`, `url` |
| Get many checklists | `GET /boards/{boardId}/cards/{cardId}/checklists` | `boardId`, `listId`, `cardId`, `url` |
| Delete a checklist item | `DELETE /boards/{boardId}/cards/{cardId}/checklists/{checklistId}/items/{checklistItemId}` | `boardId`, `listId`, `cardId`, `checklistId`, `checklistItemId`, `url` |
| Get a checklist item | `GET /boards/{boardId}/cards/{cardId}/checklists/{checklistId}/items/{checklistItemId}` | `boardId`, `listId`, `cardId`, `checklistId`, `checklistItemId`, `url` |
| Update a checklist item | `PUT /boards/{boardId}/cards/{cardId}/checklists/{checklistId}/items/{checklistItemId}` | `boardId`, `listId`, `cardId`, `checklistId`, `checklistItemId`, `url` |
| Create a list | `POST /boards/{boardId}/lists` | `boardId`, `title`, `url` |
| Delete a list | `DELETE /boards/{boardId}/lists/{listId}` | `boardId`, `listId`, `url` |
| Get a list | `GET /boards/{boardId}/lists/{listId}` | `boardId`, `listId`, `url` |
| Get many lists | `GET /boards/{boardId}/lists` | `boardId`, `url` |

## WhatsApp Business Cloud

- **n8n node:** [WhatsApp Business Cloud](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.whatsapp/) (`n8n-nodes-base.whatsApp`, version 1.1), 6 actions.
- **n8n performs it:** runs on the n8n credential *WhatsApp API* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/whatsapp/)).
- **Veefore performs it:** 5 of 6 actions, with a bearer token, sent as `Authorization: Bearer <token>`.
- **You enter:** Token.
- **API address:** `https://graph.facebook.com/v19.0`.
- **Get the key:** [developers.facebook.com](https://developers.facebook.com/apps/)

**WhatsApp Business Cloud in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Send message | `POST /{phoneNumberId}/messages` | `phoneNumberId`, `recipientPhoneNumber`, `textBody` |
| Send message and wait for response | n8n performs it | `phoneNumberId`, `recipientPhoneNumber`, `message` |
| Send template | `POST /{phoneNumberId}/messages` | `phoneNumberId`, `recipientPhoneNumber`, `template` |
| Upload media | `POST https://graph.facebook.com/v13.0/{phoneNumberId}/media` | `phoneNumberId`, `mediaPropertyName` |
| Download media | `GET https://graph.facebook.com/v13.0/{mediaGetId}` | `mediaGetId` |
| Delete media | `DELETE https://graph.facebook.com/v13.0/{mediaDeleteId}` | `mediaDeleteId` |

## Wise

- **n8n node:** [Wise](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.wise/) (`n8n-nodes-base.wise`, version 1), 14 actions.
- **n8n performs it:** runs on the n8n credential *Wise API* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/wise/)).
- **Veefore performs it:** 14 of 14 actions, with a bearer token, sent as `Authorization: Bearer <token>`.
- **You enter:** API token.
- **API address:** `https://api.wise.com`.
- **Get the key:** [wise-sandbox.com](https://wise-sandbox.com/your-account/integrations-and-tools/api-tokens/public-keys)

**Wise in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Get balances | `GET /v1/borderless-accounts` | `profileId` |
| Get currencies | `GET /v1/borderless-accounts/balance-currencies` | — |
| Get a statement | `GET /v3/profiles/{profileId}/borderless-accounts/{borderlessAccountId}/statement.{format}` | `borderlessAccountId`, `profileId`, `format` |
| Get an exchange rate | `GET /v1/rates` | — |
| Get a profile | `GET /v1/profiles/{profileId}` | `profileId` |
| Get many profiles | `GET /v1/profiles` | — |
| Create a quote | `POST /v2/quotes` | `profileId`, `targetAccountId` |
| Get a quote | `GET /v2/quotes/{quoteId}` | `quoteId` |
| Get many recipients | `GET /v1/accounts` | — |
| Create a transfer | `POST /v1/transfers` | `profileId`, `quoteId`, `targetAccountId` |
| Delete a transfer | `PUT /v1/transfers/{transferId}/cancel` | `transferId` |
| Execute a transfer | `POST /v3/profiles/{profileId}/transfers/{transferId}/payments` | `profileId`, `transferId` |
| Get a transfer | `GET /v1/transfers/{transferId}/receipt.pdf` | `transferId`, `downloadReceipt` |
| Get many transfers | `GET /v1/transfers` | `profileId` |

## WooCommerce

- **n8n node:** [WooCommerce](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.woocommerce/) (`n8n-nodes-base.wooCommerce`, version 1), 15 actions.
- **n8n performs it:** runs on the n8n credential *WooCommerce API* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/woocommerce/)).
- **Veefore performs it:** 15 of 15 actions, with HTTP basic auth: username Consumer key, password Consumer secret.
- **You enter:** Consumer key, Consumer secret.
- **API address:** `https://{url}/wp-json/wc/v3`.

**WooCommerce in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Create a customer | `POST /customers` | `email`, `url` |
| Delete a customer | `DELETE /customers/{customerId}` | `customerId`, `url` |
| Get a customer | `GET /customers/{customerId}` | `customerId`, `url` |
| Get many customers | `GET /customers` | `url` |
| Update a customer | `PUT /customers/{customerId}` | `customerId`, `url` |
| Create an order | `POST /orders` | `url` |
| Delete an order | `DELETE /orders/{orderId}` | `url`, `orderId` |
| Get an order | `GET /orders/{orderId}` | `url`, `orderId` |
| Get many orders | `GET /orders` | `url` |
| Update an order | `PUT /orders/{orderId}` | `url`, `orderId` |
| Create a product | `POST /products` | `name`, `url` |
| Delete a product | `DELETE /products/{productId}` | `url`, `productId` |
| Get a product | `GET /products/{productId}` | `url`, `productId` |
| Get many products | `GET /products` | `url` |
| Update a product | `PUT /products/{productId}` | `url`, `productId` |

## Wordpress

- **n8n node:** [Wordpress](https://docs.n8n.io/integrations/builtin/app-nodes/n8n-nodes-base.wordpress/) (`n8n-nodes-base.wordpress`, version 1), 12 actions.
- **n8n performs it:** runs on the n8n credential *Wordpress API* ([how to set it up](https://docs.n8n.io/integrations/builtin/credentials/wordpress/)).
- **Veefore performs it:** 12 of 12 actions, with HTTP basic auth: username Username, password Password.
- **You enter:** Username, Password.
- **API address:** `https://public-api.wordpress.com/wp/v2/sites`.
- **Get the key:** [developer.wordpress.com](https://developer.wordpress.com/apps/)

**Wordpress in n8n**

| Action | Veefore calls | Fields to fill |
| --- | --- | --- |
| Create a post | `POST /posts` | `title` |
| Get a post | `GET /posts/{postId}` | `postId` |
| Get many posts | `GET /posts` | — |
| Update a post | `POST /posts/{postId}` | `postId` |
| Create a page | `POST /pages` | `title` |
| Get a page | `GET /pages/{pageId}` | `pageId` |
| Get many pages | `GET /pages` | — |
| Update a page | `POST /pages/{pageId}` | `pageId` |
| Create a user | `POST /users` | `username`, `name`, `firstName`, `lastName`, `email`, `password` |
| Get a user | `GET /users/{userId}` | `userId` |
| Get many users | `GET /users` | — |
| Update a user | `POST /users/{userId}` | `userId` |
